Skip to main content
POST
Recover assets from an address

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

addressId
string
required

ID of the address to recover assets from

Body

application/json
recipientAddress
string
required

Address to send the recovered assets to

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f0b5b5"

amount
string
required

Amount to recover (in human-readable format)

Example:

"1.5"

tokenAddress
string | null

Token contract address (omit for native token recovery)

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

rpcUrl
string | null

Custom RPC URL for the blockchain (optional)

Example:

"https://eth-mainnet.g.alchemy.com/v2/your-key"

isL2
boolean
default:false

Set to true if recovering from a Layer 2 blockchain

Example:

false

crossNetwork
boolean
default:false

Set to true to recover assets sent to wrong network (e.g., mainnet assets on testnet address)

Example:

false

Response

Assets recovered successfully

data
object